package com.spring.series.bean.scope;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestEmployee {

	public static void main(String[] args) {
		testBeanScopes();
	}

	private static void testBeanScopes(){

		ApplicationContext applicationContext = new ClassPathXmlApplicationContext("com/spring/series/bean/scope/SpringContext.xml");

		// employee 1 - retrieve employee bean
		Employee employee1 = (Employee) applicationContext.getBean("employee");

		// setting values using employee1 bean
		employee1.setName("Mark Anthony");
		employee1.setDesignation("Technical Architect");

		// print values in console using employee1 bean
		System.out.println("\nPrinting values in console using employee1 bean");
		System.out.println("Name \t\t: " + employee1.getName());
		System.out.println("Designation \t: " + employee1.getDesignation());

		// employee 2 - retrieve again the same bean
		Employee employee2 = (Employee) applicationContext.getBean("employee");

		// print values in console using employee1 bean
		System.out.println("\n\nPrinting values in console using employee2 bean");
		System.out.println("Name \t\t: " + employee2.getName());
		System.out.println("Designation \t: " + employee2.getDesignation());
	}
}